'use strict';

var Tesseract = require('tesseract.js');
var vue = require('vue');
var vueFragment = require('vue-fragment');

var TesseractComponent = {
  data: function data() {
    return {
      OEM: Tesseract.OEM,
      PSM: Tesseract.PSM
    };
  },
  render: function render() {
    return vue.h(vueFragment.Fragment, this.$scopedSlots["default"]({
      $oem: this.OEM,
      $psm: this.PSM,
      $recognize: Tesseract.recognize,
      $createworker: Tesseract.createWorker,
      $createscheduler: Tesseract.createScheduler,
      $setlogging: Tesseract.setLogging,
      $detect: Tesseract.detect
    }));
  }
};

var TesseractPlugin = {
  install: function install(Vue) {
    Vue.prototype.$tesseractor = function () {
      return Tesseract;
    };
  }
};

exports.TesseractComponent = TesseractComponent;
exports.TesseractPlugin = TesseractPlugin;
