import Tesseract, { OEM, PSM, recognize, createWorker, createScheduler, setLogging, detect } from 'tesseract.js';
import { h } from 'vue';
import { Fragment } from 'vue-fragment';

var TesseractComponent = {
  data: function data() {
    return {
      OEM: OEM,
      PSM: PSM
    };
  },
  render: function render() {
    return h(Fragment, this.$scopedSlots["default"]({
      $oem: this.OEM,
      $psm: this.PSM,
      $recognize: recognize,
      $createworker: createWorker,
      $createscheduler: createScheduler,
      $setlogging: setLogging,
      $detect: detect
    }));
  }
};

var TesseractPlugin = {
  install: function install(Vue) {
    Vue.prototype.$tesseractor = function () {
      return Tesseract;
    };
  }
};

export { TesseractComponent, TesseractPlugin };
